org.apache.mina.filter.reqres

## Class Request

- java.lang.Object
- - org.apache.mina.filter.reqres.Request

-     public class Request
      extends Object

  TODO Add documentation
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Request(Object id, Object message, boolean useResponseQueue, long timeoutMillis)`
    `Request(Object id, Object message, boolean useResponseQueue, long timeout, TimeUnit unit)`
    `Request(Object id, Object message, long timeoutMillis)`
    `Request(Object id, Object message, long timeout, TimeUnit unit)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Response` | `awaitResponse()`
    `Response` | `awaitResponse(long timeout, TimeUnit unit)`
    `Response` | `awaitResponseUninterruptibly()`
    `boolean` | `equals(Object o)`
    `Object` | `getId()`
    `Object` | `getMessage()`
    `long` | `getTimeoutMillis()`
    `int` | `hashCode()`
    `boolean` | `hasResponse()`
    `boolean` | `isUseResponseQueue()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Request

          public Request(Object id,
                 Object message,
                 long timeoutMillis)

    - #### Request

          public Request(Object id,
                 Object message,
                 boolean useResponseQueue,
                 long timeoutMillis)

    - #### Request

          public Request(Object id,
                 Object message,
                 long timeout,
                 TimeUnit unit)

    - #### Request

          public Request(Object id,
                 Object message,
                 boolean useResponseQueue,
                 long timeout,
                 TimeUnit unit)

  - ### Method Detail

    - #### getId

          public Object getId()

    - #### getMessage

          public Object getMessage()

    - #### getTimeoutMillis

          public long getTimeoutMillis()

    - #### isUseResponseQueue

          public boolean isUseResponseQueue()

    - #### hasResponse

          public boolean hasResponse()

    - #### awaitResponse

          public Response awaitResponse()
                                 throws RequestTimeoutException,
                                        InterruptedException

      Throws:
        `RequestTimeoutException`
        `InterruptedException`

    - #### awaitResponse

          public Response awaitResponse(long timeout,
                               TimeUnit unit)
                                 throws RequestTimeoutException,
                                        InterruptedException

      Throws:
        `RequestTimeoutException`
        `InterruptedException`

    - #### awaitResponseUninterruptibly

          public Response awaitResponseUninterruptibly()
                                                throws RequestTimeoutException

      Throws:
        `RequestTimeoutException`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.